Lavalite package that provides favorites management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `autos/favorites`.

    "autos/favorites": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Autos\Favorites\Providers\FavoritesServiceProvider::class,

And also add it to alias

    'Favorites'  => Autos\Favorites\Facades\Favorites::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Autos\\FavoritesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Autos\Favorites\Providers\FavoritesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Autos\Favorites\Providers\FavoritesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Autos\Favorites\Providers\FavoritesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/favorites/{modulename}

**User**

    http://path-to-route-folder/user/favorites/{modulename}

**Public**

    http://path-to-route-folder/favorites


### API endpoints

**List**

    http://path-to-route-folder/api/user/favorites/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/favorites/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/favorites/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/favorites/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/favorites/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/favorites/{modulename}/{slug}
    METHOD: GET