<?php

namespace Autos\Favorites\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FavoriteTransformer extends TransformerAbstract
{
    public function transform(\Autos\Favorites\Models\Favorite $favorite)
    {
        return [
            'id'                => $favorite->getRouteKey(),
            'key'               => [
                'public'    => $favorite->getPublicKey(),
                'route'     => $favorite->getRouteKey(),
            ], 
            'user_id'           => $favorite->user_id,
            'car_id'            => $favorite->car_id,
            'slug'              => $favorite->slug,
            'deleted_at'        => $favorite->deleted_at,
            'url'               => [
                'public'    => trans_url('favorites/'.$favorite->getPublicKey()),
                'user'      => guard_url('favorites/favorite/'.$favorite->getRouteKey()),
            ], 
            'status'            => trans('app.'.$favorite->status),
            'created_at'        => format_date($favorite->created_at),
            'updated_at'        => format_date($favorite->updated_at),
        ];
    }
}